html,

body {
  padding-top: 35px;
  overflow-x: hidden; /* Prevent scroll on narrow devices */
}

@media (max-width: 991.98px) {
  .offcanvas-collapse {
    position: fixed;
    top: 56px; /* Height of navbar */
    bottom: 0;
    left: 100%;
    width: 50%;
    padding-right: 1rem;
    padding-left: 1rem;
    overflow-y: auto;
    visibility: hidden;
    background-color: #343a40;
    transition: transform .3s ease-in-out, visibility .3s ease-in-out;
  }
  .offcanvas-collapse.open {
    visibility: visible;
    transform: translateX(-100%);
  }
}

.bg-purple {
  background-color: #6f42c1;
}

.nav-scroller .nav {
  display: flex;
  flex-wrap: nowrap;  
  overflow-x: auto;
  text-align: center;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
  color: rgba(255, 255, 255, .75);
}

.nav-scroller .nav-link {  
  padding-top : 0px;  
  font-size: 13px;
  color: #6c757d;
}

.nav-scroller .nav-link:hover {
  color: #007bff;
}

.nav-scroller .active {
  font-weight: 500;
  color: #343a40;
}